1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

2.80 downgrader

Discussion in 'Sony PSP - Mod and firmware discussion' started by premmahil, Feb 12, 2007.

  1. premmahil

    premmahil Guest

    will the 2.80 downgrader work with 2.81 firmware...
     
  2. hexitnow

    hexitnow Active member

    Joined:
    Jun 18, 2006
    Messages:
    6,109
    Likes Received:
    0
    Trophy Points:
    96
    no...you have to get the unpatched version of GTA:LCS and upgrade to 3.03 in order to downgrade.
     
  3. paul91

    paul91 Regular member

    Joined:
    Sep 27, 2006
    Messages:
    970
    Likes Received:
    0
    Trophy Points:
    26
    yeh^^ what he said - that is why its called a 2.80 downgrader and not a 2.81 downgrader
     

Share This Page